{{ define "main" }}
<main class="content page-template page-{{ .Slug }}">
  <div class="post-holder">
    <article class="post page">
      <header class="post-header">
        <h1 class="post-title">
          <a href="{{ .Parent.RelPermalink }}" title="back" onclick="backNavigation(event)"><i class="fa fa-chevron-left" aria-hidden="true"></i></a>
          <span>{{ .Title }}</span>
          {{ with .Params.image }}
          <a href="https://ssvg.web.cern.ch/ssvg-editor?{{ absURL . | querify "url" | safeURL }}" title="Edit SSVG" style="float: right;" target="_blank"><i class="fa fa-edit"></i></a>
          {{ end }}
        </h1>
      </header>
      <section class="post-content">
        {{ .Content }}

        <h6 style="margin-top: 2em;display:flex;justify-content:space-between;align-items:center;">
          {{ if .Params.image }}
          <a href="https://ssvg.web.cern.ch/ssvg-editor?{{ absURL .Params.image | querify "url" | safeURL }}" target="_blank" style="text-decoration: none;"><i class="fa fa-edit title"></i> Edit this SSVG</a>
          {{ end }}

          <a href="{{ .Parent.RelPermalink }}" style="text-decoration: none;"><i class="fa fa-chevron-down title"></i> More examples <i class="fa fa-chevron-down title"></i></a>

          {{ if .Params.image }}
          <a href="{{ .Params.image }}" download style="text-decoration: none;">Download this SSVG <i class="fa fa-download title"></i></a>
          {{ end }}
        </h6>
      </section>
    </article>
  </div>
</main>
<script>
  function backNavigation(event) {
    if (document.referrer.indexOf(location.protocol + "//" + location.host) === 0) {
      event?.preventDefault(); history.back();
    }
  }
</script>
{{ end }}